Subject: Re: [PATCH] Documentation/Makefile: don't re-build on 'git version' changes

From: Junio C Hamano <[email-masked]>
Date: Mon, 05 Jul 2021 12:48:29 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> I think nobody's doing such a "chained" build when building the docs for
> a "real" release, and having mixed versions might be confusing, but for
> the "local build" case from a development checkout it's arguably more
> useful.

Well, when I prepare a cascade of maintenance releases for CVE, what
do you think is done?  Yes, I do have "make distclean" in the loop
that iterates over the maint-$version branches, just to be extra
careful, but I shouldn't have to.